=== debian/changelog ===
ukui-screensaver (3.0.3.4-1) unstable; urgency=medium

  * Set minimum CMake version to 3.5 to fix FTBFS with CMake 4.
    (Closes: #1113601)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 04 Nov 2025 14:49:37 +0800
