=== debian/watch ===
version=4
https://gitee.com/openkylin/ukui-screensaver/releases/ .*/ukui-screensaver-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
